> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/connnecting/connectors/slack/action_slack.md).

# Slack Actions

* [Create Slack Channel and Invite Users](https://github.com/unskript/Awesome-CloudOps-Automation/Slack/legos/slack_create_channel_invite_users/README.md) : Create a Slack Channel with given name, and invite a list of userIds to the channel.
* [Get Slack SDK Handle](https://github.com/unskript/Awesome-CloudOps-Automation/Slack/legos/slack_get_handle/README.md) : Get Slack SDK Handle
* [Post Slack Image](https://github.com/unskript/Awesome-CloudOps-Automation/Slack/legos/slack_post_image/README.md) : Post Slack Image
* [Post Slack Message](https://github.com/unskript/Awesome-CloudOps-Automation/Slack/legos/slack_post_message/README.md) : Post Slack Message
* [Slack Lookup User by Email](https://github.com/unskript/Awesome-CloudOps-Automation/Slack/legos/slack_lookup_user_by_email/README.md) : Given an email address, find the slack user in the workspace. You can the extract their Profile picture, or retrieve their userid (which you can use to send messages) from the output.
* [Slack Send DM](https://github.com/unskript/Awesome-CloudOps-Automation/Slack/legos/slack_send_DM/README.md) : Given a list of Slack IDs, this Action will create a DM (one user) or group chat (multiple users), and send a message to the chat


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/connnecting/connectors/slack/action_slack.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
